কনটেন্টে যান

Mai Image 2.5

ইন্টিগ্রেট করুন

মডেল id microsoft/mai-image-2.5/edit
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/microsoft/mai-image-2.5/edit?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "images": [
      "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

এই অনুরোধ: ≈০.০৫৭$ ৫৭ API ক্রেডিট এই পেজে চালান

API কী পান
Microsoft ছবি সম্পাদনা #realism#typography#stylized

ঠিক একটি ইনপুট ছবি এবং একটি সম্পাদনা নির্দেশনা গ্রহণকারী স্ট্যান্ডার্ড MAI Image 2.5 এডিটর

Microsoft · ছবি

আপনার প্রথম ফলাফল এখানে আসবে

নিচে একটি রিকোয়েস্ট তৈরি করে আপনার API কী দিয়ে চালান। আউটপুট আমাদের স্টোরেজে কপি করা হয়, চিরকাল বা বিনামূল্যে ৭ দিন পর্যন্ত রাখা হয়।

একটি অনুরোধ তৈরি করুন

মডেল স্কিমা থেকে কন্ট্রোল তৈরি করা হয়। এগুলো পরিবর্তন করলে কোড ও মূল্য আপডেট হয়।

•আবশ্যক 88 / 5000

সরবরাহ করা ছবি বা ছবিগুলোর জন্য সম্পাদনার নির্দেশনা।

•আবশ্যক image_urls
একটি ফাইল ড্রপ করুন, অথবা · 1 পর্যন্ত

সম্পাদনার জন্য ছবি, একটি http(s) URL বা data: URL হিসেবে দেওয়া হয়।

aspect_ratio ডিফল্ট auto

আউটপুট ছবির অনুপাত; "auto" ইনপুটের অনুপাত অনুসরণ করে অথবা মডেলকে অনুপাত নির্বাচন করতে দেয়।

num_images ডিফল্ট 1

জেনারেশনের জন্য অনুরোধ করা ছবির সংখ্যা।

অ্যাডভান্সড output_format
output_format ডিফল্ট png

ফলাফল ছবির ফাইল ফরম্যাট।

POST /run/microsoft/mai-image-2.5/edit?wait=20 মূল্য → ০.০৫৭$
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/microsoft/mai-image-2.5/edit?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "images": [
      "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

এই অনুরোধ চালান

আপনার key এই ব্রাউজারেই থাকে: এটি শুধু Doitong API-তে পাঠানো হয় এবং Remember টিক দিলে কেবল localStorage-এ সংরক্ষিত হয়। একটি API কী পান

Mai Image 2.5 সম্পর্কে

সর্বোচ্চ 5000 অক্ষরের একটি টেক্সট নির্দেশনা থেকে ছবি সম্পাদনা করে। `image_urls` আবশ্যক এবং এতে ঠিক একটি http(s) অথবা data URL থাকে। 1 থেকে 4টি আউটপুট, একটি অ্যাসপেক্ট রেশিও (auto ইনপুটের সঙ্গে মেলে) এবং jpeg, png অথবা webp ফরম্যাট বেছে নিন।

প্যারামিটার

ক্যানোনিকাল নাম অথবা নেটিভ নাম—দুটো একসঙ্গে নয়—পাঠান। ক্যানোনিকাল নামগুলো

নামধরন ডিফল্টঅনুমোদিত বিবরণ
promptআবশ্যক
ধরনstring
≤ ৫,০০০টি অক্ষর≥ ৩টি অক্ষর
সরবরাহ করা ছবি বা ছবিগুলোর জন্য সম্পাদনার নির্দেশনা।
num_imagesঐচ্ছিক num_outputs
ধরনinteger
ডিফল্ট1
১ – ৪
জেনারেশনের জন্য অনুরোধ করা ছবির সংখ্যা।
aspect_ratioঐচ্ছিক
ধরনenum
ডিফল্টauto
auto1:14:33:416:99:163:22:3
আউটপুট ছবির অনুপাত; "auto" ইনপুটের অনুপাত অনুসরণ করে অথবা মডেলকে অনুপাত নির্বাচন করতে দেয়।
output_formatঐচ্ছিক
ধরনenum
ডিফল্টpng
jpegpngwebp
ফলাফল ছবির ফাইল ফরম্যাট।
image_urlsআবশ্যক images
ধরনurl[] · image
≤ ১টি আইটেম
সম্পাদনার জন্য ছবি, একটি http(s) URL বা data: URL হিসেবে দেওয়া হয়।
আবশ্যক ক্যানোনিকাল নাম, এটিও গ্রহণযোগ্য

ফাইল প্যারামিটার হিসেবে একটি পাবলিক https:// URL, 10 MB পর্যন্ত একটি data: URI, অথবা আপলোডের file_url গ্রহণ করা হয়। ফাইল

আউটপুট

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "microsoft/mai-image-2.5/edit",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 57,
    "usd": "0.057",
    "charged": 57,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image_urls": [
      "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
    ]
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200,
        "width": 1024,
        "height": 768
      }
    ],
    "description": "string"
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
আপনার ফাইল, আপনার পছন্দপ্রতিটি outputs[].url আমাদের স্টোরেজে একটি কপি: চিরকাল রাখা হয় (প্রতি GB-মাস অনুযায়ী অর্থপ্রদত্ত) অথবা অ্যাকাউন্ট সেটিংস বা ?storage= অনুযায়ী বিনামূল্যে ৭ দিন পর্যন্ত।
প্রতিটি মডেলে একই গঠনছবি, ভিডিও এবং অডিও—সব ক্ষেত্রেই type, url, content_type, width, height এবং duration। output হলো মডেলের নিজস্ব ফলাফল অবজেক্ট।
আউটপুটের ফিল্ড
images
array of object {url, content_type, file_name, file_size, width, height}সম্পাদনার ফলস্বরূপ তৈরি ছবি।
description
stringজেনারেট করা ছবিগুলোর সঙ্গে থাকা বিবরণ।

আরও মডেল: ছবি সম্পাদনা

AI এজেন্টদের জন্য: এই পৃষ্ঠাটি Markdown হিসেবে এখানে আছে https://doitong.com/bn/developers/models/microsoft/mai-image-2.5/edit.md. সব মডেল ও গাইড: https://doitong.com/developers/llms.txt